Re: Rasterio 1.0.3.post1


Sean Gillies
 

Hi Denis,

I discovered that I had to patch GDAL 2.3.1 to build with OpenJPEG for the ancient manylinux1 platform. I've uploaded new wheels with a "-1" build tag to https://pypi.org/manage/project/rasterio/release/1.0.3.post1/. I didn't know about build tags – I won't make post-releases to fix wheel build problems anymore.

On Mon, Sep 10, 2018 at 1:10 AM Denis Rykov <rykovd@...> wrote:
Hi Sean!

After updating rasterio I get the following error:

In [1]: from rasterio import open
 
In [2]: open('tests/data/raster/rgb.jp2')
---------------------------------------------------------------------------
CPLE_OpenFailedError                      Traceback (most recent call last)
rasterio/_base.pyx in rasterio._base.DatasetBase.__init__()
 
rasterio/_shim.pyx in rasterio._shim.open_dataset()
 
rasterio/_err.pyx in rasterio._err.exc_wrap_pointer()
 
CPLE_OpenFailedError: 'tests/data/raster/rgb.jp2' not recognized as a supported file format.
 
During handling of the above exception, another exception occurred:
 
RasterioIOError                           Traceback (most recent call last)
<ipython-input-2-19e7b16f33e4> in <module>()
----> 1 open('tests/data/raster/rgb.jp2')
 
~/sandbox/telluric/env/lib/python3.5/site-packages/rasterio/env.py in wrapper(*args, **kwds)
    401             else:
    402                 pass
--> 403             return f(*args, **kwds)
    404 
    405     return wrapper
 
~/sandbox/telluric/env/lib/python3.5/site-packages/rasterio/__init__.py in open(fp, mode, driver, width, height, count, crs, transform, dtype, nodata, sharing, **kwargs)
    215         # None.
    216         if mode == 'r':
--> 217             s = DatasetReader(path, driver=driver, **kwargs)
    218         elif mode == 'r+':
    219             s = get_writer_for_path(path)(path, mode, driver=driver, **kwargs)
 
rasterio/_base.pyx in rasterio._base.DatasetBase.__init__()
 
RasterioIOError: 'tests/data/raster/rgb.jp2' not recognized as a supported file format.

All works without any problems with rasterio 1.0.2:

In [1]: from rasterio import open
 
In [2]: open('tests/data/raster/rgb.jp2')
Out[2]: <open DatasetReader name='tests/data/raster/rgb.jp2' mode='r'>



--
Sean Gillies

Join main@rasterio.groups.io to automatically receive all group messages.